import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/beauMarko/5e5b3fc4ff3afb9154de2315eab6671c/raw/cssNamedColors.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    d3.csv(csvUrl).then(setData);
  }, []);

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return data.map((d) => (
    <div
      style={{
        background: d['RGB hex value'],
        width: '960px',
        height: '4px',
      }}
    ></div>
  ));
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
